var __index = {"config":{"lang":["en"],"separator":"[\\s\\-]+","pipeline":["stopWordFilter"]},"docs":[{"location":"index.html","title":"MM-DOCS","text":"<p>This project is used to produce all forms of documentation for the service using Markdown and other repository friendly markup languages.</p> <p>The documentation is created using the mm-docs docker bundle:</p> <ul> <li>https://github.com/majkinetor/mm-docs</li> </ul>"},{"location":"index.html#features","title":"Features","text":"<ul> <li>Write documentation in extended Markdown, HTML, PlantUML and other markup languages</li> <li>Beautiful responsive design using material theme</li> <li>Navigational bar, TOC, search, internationalization, and various rich presentation functionalities</li> <li>Rich diagrams and interface mockups using PlantUML</li> <li>Macros can be written in python</li> <li>PDF export for each page or full site</li> <li>Single page with entire documentation</li> <li>Live reload during editing</li> <li>GitLab/GitHub repository connection for editing within a browser</li> <li>Automated AppVeyor build and deploy to GitHub pages using Ubuntu image</li> <li>Cross platform for hosting and development</li> </ul>"},{"location":"index.html#prerequisites","title":"Prerequisites","text":"<ul> <li>Docker</li> <li>PowerShell (optional, developer friendliness)<ul> <li>Invoke-Build module</li> </ul> </li> </ul>"},{"location":"index.html#quick-start","title":"Quick start","text":"<p>To edit documentation:</p> <ul> <li>Clone/use new project template</li> <li>Add new documents somewhere in the <code>source\\docs</code> hierarchy.</li> <li>Add document path to TOC (file: <code>source\\mkdocs.yml</code>; yaml key: <code>nav</code>) to make page visible in the navigation section, otherwise, the page is available via direct link.</li> </ul> <p>Start development server - run in PowerShell <code>Invoke-Build Run</code>. The command is syntax sugar for running docker containers. To build static site run <code>Invoke-Build Build</code>.</p>          \u270f\ufe0f Last Change: 2023-10-17 22:25               \ud83d\udcd6 Publication Date: 2023-10-17 22:27"},{"location":"demo.html","title":"Demonstration page","text":"<p>mm-docs demonstration page.</p> <p>For more details about included tools see:</p> <ul> <li>Mkdocs</li> <li>Mkdocs Material Extensions</li> <li>PlantUML</li> <li>MathJax</li> <li>Jinja</li> </ul>","tags":["demo","mm-docs system","test"]},{"location":"demo.html#customization","title":"Customization","text":"<ul> <li>Color palettes</li> <li>Language</li> <li>Extending theme</li> </ul>","tags":["demo","mm-docs system","test"]},{"location":"demo.html#text","title":"Text","text":"<p>Unicode: \u041c\u0438\u0441\u043b\u0438\u043c \u0434\u0430\u043a\u043b\u0435 \u043f\u043e\u0441\u0442\u043e\u0458\u0438\u043c</p>","tags":["demo","mm-docs system","test"]},{"location":"demo.html#basic-effects","title":"Basic effects","text":"Output Code Bold text <code>**Bold text**</code> or <code>__Bold text__</code> Italic text <code>*Italic text*</code> or <code>_Italic text_</code> Strike Through <code>~~Strike Through~~</code> Colored text <code>==Colored text==</code> <code>Inline code</code> <code>`Inline code`</code> <p>Subscript and supscript:</p> <pre><code>- H~2~0\n- A^T^A\n</code></pre> <ul> <li>H<sub>2</sub>0</li> <li>A<sup>T</sup>A</li> </ul>","tags":["demo","mm-docs system","test"]},{"location":"demo.html#buttons","title":"Buttons","text":"Adding button<pre><code>[Subscribe to our newsletter](#){ .md-button }\n</code></pre> <p>Subscribe to our newsletter </p>","tags":["demo","mm-docs system","test"]},{"location":"demo.html#local-files-and-images","title":"Local files and images","text":"<pre><code>![omg-lolcat](files/omg-lolcat.jpg)\n</code></pre> <p>To align image and add some text next to it you must put in div with class <code>result</code>:</p> Aligned image<pre><code>&lt;div class=\"result\" markdown&gt;\n![omg-lolcat](files/omg-lolcat.jpg){ align=left }\n&lt;/div&gt;\n</code></pre> <p></p> <p>Some OMG cat is displayed here.</p> <p>Some more text here...</p>","tags":["demo","mm-docs system","test"]},{"location":"demo.html#hotkeys","title":"Hotkeys","text":"Output Code Enter <code>++enter++</code> PgDown <code>++\"PgDown\"++</code> Non Existent Key <code>++\"Non Existent Key\"++</code>","tags":["demo","mm-docs system","test"]},{"location":"demo.html#links-footnotes-and-comments","title":"Links, footnotes and comments","text":"","tags":["demo","mm-docs system","test"]},{"location":"demo.html#links","title":"Links","text":"Output Code An inline-style link <code>[An inline-style link](https://www.google.com)</code> An inline-style link with title <code>[An inline-style link with title](https://www.google.com \"Google's Homepage\")</code> Reference-style link <code>[Reference-style link][arbitrary reference text]</code><code>[arbitrary reference text]: https://www.mozilla.org</code> Relative reference to a repository file <code>[Relative reference to a repository file](../about/overview)</code> Numbers for reference-style link definitions <code>[Numbers for reference-style link definitions][1]</code><code>[1]: http://slashdot.org</code> Use the link text itself <code>Use the [link text itself]</code><code>[link text itself]: http://www.reddit.com</code> <p>Magic links and emails: turned to links as recognized</p> Output Code http://www.google.com <code>http://www.google.com</code> majkinetor@gmail.com <code>majkinetor@gmail.com</code> www.google.com <code>www.google.com</code>","tags":["demo","mm-docs system","test"]},{"location":"demo.html#footnotes","title":"Footnotes","text":"<pre><code>A text with a short footnote[^short]\n[^short]: https://en.wikipedia.org/wiki/Note_(typography)\n</code></pre> <p>A text with a short footnote<sup>1</sup></p> <pre><code>A text with a long footnote[^long]\n[^long]:\n    Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla et euismod\n    massa, nec semper lorem quam in massa.\n\n    ```\n    code\n</code></pre> <p>A text with a long footnote<sup>2</sup></p>","tags":["demo","mm-docs system","test"]},{"location":"demo.html#comments","title":"Comments","text":"<pre><code>The text contains 2 comments bellow this line which should not be visible.\n[comment]: # (Developed using Visual Studio Code with plantuml extension: cinst visualstudiocode; code --install-extension jebbs.plantuml)\n[comment]: # (PlantUML version may influence diagrams. This document is developped with 1.2017.15: cinst plantuml --version 1.2017.15)\n</code></pre> <p>The text contains 2 comments bellow this line which should not be visible.</p>","tags":["demo","mm-docs system","test"]},{"location":"demo.html#citations","title":"Citations","text":"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla et euismod nulla. Curabitur feugiat, tortor non consequat finibus, justo purus auctor  massa, nec semper lorem quam in massa. Inline:</p> <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla et euismod nulla. Curabitur feugiat, tortor non consequat finibus, justo purus auctor  massa, nec semper lorem quam in massa. <pre><code>code in citations\n</code></pre> Another citation line</p>","tags":["demo","mm-docs system","test"]},{"location":"demo.html#html","title":"HTML","text":"<p>HTML is allowed without restrictions. Custom styles are added in <code>docs\\_css\\extra.css</code> file.</p> <pre><code>&lt;div style='background-color: #fdd; padding:1em; text-align: center '&gt;\n    &lt;font size=\"20\"&gt;\n        &lt;span class=\"yellow bred pl1 pr1\"&gt;cookies&lt;/span&gt;\n    &lt;/font&gt;\n&lt;/div&gt;\n</code></pre> cookies","tags":["demo","mm-docs system","test"]},{"location":"demo.html#critic-and-comments","title":"Critic and comments","text":"<p>Here is some incorrect Markdown.  I am adding this here.  Here is some more text that I am removingtext.  And here is even more text that I  am adding.  Paragraph was deleted and replaced with some spaces. </p> <p>Spaces were removed and a paragraph was added.</p> <p>And here is a comment on some textThis works quite well. I just wanted to comment on it.. Substitutions  isare great!</p> <p>General block handling:</p> <ul> <li>test remove</li> <li>test remove</li> </ul> <ul> <li>test add</li> <li>test add</li> </ul>","tags":["demo","mm-docs system","test"]},{"location":"demo.html#emoji-and-icons","title":"Emoji and icons","text":"<p>Use more than 7.000 icons and thousands of emojis in your project documentation with zero effort. Custom icons can be added and used in <code>mkdocs.yml</code>, documents and templates.</p> <ul> <li>More info</li> <li>List of emoji codes</li> </ul> <p>Examples:</p> <ul> <li><code>:tada:</code> </li> <li><code>:jack_o_lantern:</code> </li> <li><code>:alien:</code> </li> <li><code>:robot_face:</code> </li> <li><code>:smile:</code> </li> <li><code>:heart:</code> </li> <li><code>:thumbsup:</code> </li> </ul> <p> </p> <ul> <li>  \u2013 <code>:material-account-circle:</code> (icon in <code>.icons/material/account-circle.svg</code>)</li> <li> \u2013 <code>:fontawesome-regular-face-laugh:</code> (icon in <code>.icons/fontawesome/regular/face-laugh.svg</code>)</li> <li> In a link</li> </ul>","tags":["demo","mm-docs system","test"]},{"location":"demo.html#lists","title":"Lists","text":"","tags":["demo","mm-docs system","test"]},{"location":"demo.html#ordered-list","title":"Ordered list","text":"<ol> <li>List item 1</li> <li>List item 2<ol> <li>List item 2.1</li> <li>List item 2.2<ol> <li>List item 2.2.1</li> <li>List item 2.2.2</li> </ol> </li> <li>List item 2.3</li> </ol> </li> <li>List item 4</li> </ol>","tags":["demo","mm-docs system","test"]},{"location":"demo.html#unordered-mixed","title":"Unordered, mixed","text":"<ul> <li>List item 1</li> <li>List item 2<ul> <li>List item 2.1</li> <li>List item 2.2<ol> <li>List item 2.2.1</li> <li>List item 2.2.2</li> </ol> </li> <li>List item 2.3</li> </ul> </li> <li>List item 4</li> </ul>","tags":["demo","mm-docs system","test"]},{"location":"demo.html#tables","title":"Tables","text":"Col1 Col2 row1.1 row1.2 row2.1 row2.2-1row2.2-2","tags":["demo","mm-docs system","test"]},{"location":"demo.html#plantuml","title":"Plantuml","text":"<p>Add <code>plantuml</code> in a block code header to set code section as PlantUml source. Use <code>format</code> to specify output type:</p> <pre>\n```plantuml format=\"svg\"\ntitle PlantUml Demo\nleft to right direction\nskinparam packageStyle rectangle\nactor customer\nactor clerk\nrectangle checkout {\n  customer -- (checkout)\n  (checkout) .&gt; (payment) : include\n  (help) .&gt; (checkout) : extends\n  (checkout) -- clerk\n}\n```\n</pre> <p></p>","tags":["demo","mm-docs system","test"]},{"location":"demo.html#mermaid","title":"Mermaid","text":"<pre>\n```mermaid\nsequenceDiagram\n  Alice-&gt;&gt;John: Hello John, how are you?\n  loop Healthcheck\n      John-&gt;&gt;John: Fight against hypochondria\n  end\n  Note right of John: Rational thoughts!\n  John--&gt;&gt;Alice: Great!\n  John-&gt;&gt;Bob: How about you?\n  Bob--&gt;&gt;John: Jolly good!\n```\n</pre> <pre><code>sequenceDiagram\n  Alice-&gt;&gt;John: Hello John, how are you?\n  loop Healthcheck\n      John-&gt;&gt;John: Fight against hypochondria\n  end\n  Note right of John: Rational thoughts!\n  John--&gt;&gt;Alice: Great!\n  John-&gt;&gt;Bob: How about you?\n  Bob--&gt;&gt;John: Jolly good!</code></pre>","tags":["demo","mm-docs system","test"]},{"location":"demo.html#mathjax","title":"MathJax","text":"<p>The block code:</p> <pre>\n```\n$$\n\\frac{n!}{k!(n-k)!} = \\binom{n}{k}\n$$\n```\n</pre> \\[ \\frac{n!}{k!(n-k)!} = \\binom{n}{k} \\] <p><code>Inline math expressions: $p(x|y) = \\frac{p(y|x)p(x)}{p(y)}$</code></p> <p>Inline math expressions: \\(p(x|y) = \\frac{p(y|x)p(x)}{p(y)}\\)</p> <p>NOTE:</p> <ul> <li>This doesn't render corretly in PDF output, see this issue for explanation.</li> </ul>","tags":["demo","mm-docs system","test"]},{"location":"demo.html#admonition","title":"Admonition","text":"<p>More info</p> <p>Note</p> <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla et euismod nulla. Curabitur feugiat, tortor non consequat finibus, justo purus auctor massa, nec semper lorem quam in massa.</p> Collapsed closed <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla et euismod nulla. Curabitur feugiat, tortor non consequat finibus, justo purus auctor massa, nec semper lorem quam in massa.</p> Collapsed open <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla et euismod nulla. Curabitur feugiat, tortor non consequat finibus, justo purus auctor massa, nec semper lorem quam in massa.</p> <p>Extreme danger</p> <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla et euismod nulla. Curabitur feugiat, tortor non consequat finibus, justo purus auctor massa, nec semper lorem quam in massa.</p> <pre><code>some code\n</code></pre> <p>Some citation</p>","tags":["demo","mm-docs system","test"]},{"location":"demo.html#code-highlight","title":"Code Highlight","text":"<p>More info</p> <pre><code>import tensorflow as tf\n</code></pre> <p>With tabs:</p> BashPowerShellPlantUMLCC++C# <pre><code>#!/bin/bash\n\necho \"Hello world!\"\n</code></pre> <pre><code>Write-Host \"Hello world!\"\n</code></pre> <p></p> <pre><code>#include &lt;stdio.h&gt;\n\nint main(void) {\n  printf(\"Hello world!\\n\");\n}\n</code></pre> <pre><code>#include &lt;iostream&gt;\n\nint main() {\n  std::cout &lt;&lt; \"Hello world!\" &lt;&lt; std::endl;\n  return 0;\n}\n</code></pre> <pre><code>using System;\n\nclass Program {\n  static void Main(string[] args) {\n    Console.WriteLine(\"Hello world!\");\n  }\n}\n</code></pre>","tags":["demo","mm-docs system","test"]},{"location":"demo.html#abbreviations","title":"Abbreviations","text":"<p>The following are defined in single file, <code>_inc\\abbr.md</code> and included on each page.</p> <ul> <li>IT, XML, JSON</li> </ul>","tags":["demo","mm-docs system","test"]},{"location":"demo.html#smart-symbols","title":"Smart symbols","text":"<ul> <li><code>(tm)</code> \u2122</li> <li><code>(c)</code> \u00a9</li> <li><code>c/o</code> \u2105</li> <li><code>+/-</code> \u00b1</li> <li><code>--&gt;</code> \u2192</li> <li><code>&lt;--</code> \u2190</li> <li><code>&lt;--&gt;</code> \u2194</li> <li><code>=/=</code> \u2260</li> <li><code>1/4</code> \u00bc</li> <li><code>1st</code> 1<sup>st</sup></li> </ul>","tags":["demo","mm-docs system","test"]},{"location":"demo.html#task-list","title":"Task list","text":"<ul> <li> Lorem ipsum dolor sit amet, consectetur adipiscing elit</li> <li> Curabitur elit nibh, euismod et ullamcorper at, iaculis feugiat est</li> <li> Vestibulum convallis sit amet nisi a tincidunt<ul> <li> In hac habitasse platea dictumst</li> <li> Praesent sed risus massa</li> </ul> </li> <li> Nulla vel eros venenatis, imperdiet enim id, faucibus nisi</li> </ul>","tags":["demo","mm-docs system","test"]},{"location":"demo.html#macros","title":"Macros","text":"<p>More details.</p> Variable from config <code>extra.version = 0.1</code> Variable from this page <code>acme = Acme Company Ltd</code> Macro (defined in <code>main.py</code>) <code>bar(1) = 9.3</code> - <code>barbaz(3) = 9</code> Python variable (defined in <code>main.py</code>) <code>baz = John Doe</code> Dictionary variable from config <code>company.name = Acme</code>","tags":["demo","mm-docs system","test"]},{"location":"demo.html#jinja-templates","title":"Jinja templates","text":"<p>You can do all the work you want with Jinja2, including defining pure macros, conditionals and for loops:</p> <pre>\n{% macro input(name, value='', type='text', size=20) -%}\n  &lt;input type=\"{{ type }}\" name=\"{{ name }}\" value=\"{{ value}}\" size=\"{{ size }}\"&gt;\n{%- endmacro %}\n\n{% input('username') }}\n{% input('password', type='password') }}\n</pre>","tags":["demo","mm-docs system","test"]},{"location":"demo.html#includes","title":"Includes","text":"<p>You may use the include directive from jinja2, directly in your markdown code e.g.:</p> <pre>\n## Paragraph\n{%include 'snippet.md' %}\n{%include 'html/content1.html' %}\n</pre> <p>The root directory for your included files is in <code>docs_dir</code>.</p> <p>You can also include parts of the file.</p>","tags":["demo","mm-docs system","test"]},{"location":"demo.html#environment-variables","title":"Environment variables","text":"<p>Environment variables can be used inside of configuration file <code>mkdocs.yaml</code>. More...</p> <pre><code>site_name: !ENV CI_PROJECT_PATH\n</code></pre>          \u270f\ufe0f Last Change: 2023-10-17 22:25               \ud83d\udcd6 Publication Date: 2023-10-17 22:27      <ol> <li> <p>https://en.wikipedia.org/wiki/Note_(typography)\u00a0\u21a9</p> </li> <li> <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla et euismod massa, nec semper lorem quam in massa.</p> <p><pre><code>code\n</code></pre> \u21a9</p> </li> </ol>","tags":["demo","mm-docs system","test"]},{"location":"download.html","title":"Download","text":"<p>You can consume this documentation off-line via:</p> <ol> <li>PDF that you can download</li> <li>Standalone single HTML page that you can save</li> <li>Entire site in ZIP archive that you can unpack and use locally starting from <code>index.html</code></li> </ol>          \u270f\ufe0f Last Change: 2023-10-17 22:25               \ud83d\udcd6 Publication Date: 2023-10-17 22:27"},{"location":"revision.html","title":"Revisions","text":"<p>Build Date: 2023-10-17 22:26:21</p> <p>View revision.json</p> Date Path 2023-10-17 22:25:32 demo.md 2023-10-17 22:25:32 tags.md 2023-10-17 22:25:32 vars.md 2023-10-17 22:25:32 download.md 2023-10-17 22:25:32 about/overview.md 2023-10-17 22:25:32 index.md"},{"location":"tags.html","title":"Tags","text":"<p>Following is a list of tags:</p>"},{"location":"tags.html#demo","title":"demo","text":"<ul> <li>Demonstration</li> </ul>"},{"location":"tags.html#mm-docs-system","title":"mm-docs system","text":"<ul> <li>Demonstration</li> </ul>"},{"location":"tags.html#test","title":"test","text":"<ul> <li>Demonstration</li> </ul>"},{"location":"vars.html","title":"Variables","text":""},{"location":"vars.html#context","title":"Context","text":"<p>[(0, 'Page', \"Page(title='Home', url='index.html')\"), (1, 'Page', \"Page(title='Demonstration', url='demo.html')\"), (2, 'Section', \"title = 'Extra', children = [Page(title='Variables', url='vars.html'), Page(title='Revision', url='revision.html')], _Section__active = False\"), (3, 'Page', \"Page(title='Download', url='download.html')\")]</p>"},{"location":"vars.html#page","title":"Page","text":"Variable Type Content file File page [Page], src_uri = 'vars.md', name = 'vars', dest_uri = 'vars.html', url = 'vars.html', abs_src_path = '/docs/source/docs/vars.md', abs_dest_path = '/docs/source/site/vars.html', inclusion [InclusionLevel] title str 'Variables' children NoneType None previous_page Page Page(title='Demonstration', url='demo.html') next_page Page Page(title='Revision', url='revision.html') _Page__active bool False update_date str '2023-10-17' canonical_url NoneType None abs_url NoneType None edit_url str 'https://github.com/majkinetor/mm-docs-template/edit/master/source/docs/vars.md' markdown str \"# {{ page.title }}\\n\\n## Context\\n\\n{{ context(navigation) }}\\n\\n## Page\\n\\n{{ context(page) | pretty }}\\n\\n## Config\\n\\n{{ context(config) | pretty }}\\n\\nFrontmatter var - foo: {{ page.meta.foo }}\\n\\n{% include 'footer.md' %}\" _title_from_render NoneType None content NoneType None toc list [] meta dict title = 'Variables', foo = 'bar' parent Section title = 'Extra', children = [Page(title='Variables', url='vars.html'), Page(title='Revision', url='revision.html')], _Section__active = False"},{"location":"vars.html#config","title":"Config","text":"Variable Type Content config_file_path str '/docs/source/mkdocs.yml' site_name str 'MM-DOCS' nav list [{'Home': 'index.md'}, {'Demonstration': 'demo.md'}, {'Extra': [{'Variables': 'vars.md'}, {'Revision': 'revision.md'}]}, {'Download': 'download.md'}] pages NoneType None exclude_docs NoneType None not_in_nav NoneType None site_url NoneType None site_description str 'MM-DOCS Template' site_author str 'majkinetor' theme Theme Theme(name='material', dirs=['/docs/source/overrides', '/usr/lib/python3.11/site-packages/material/templates', '/usr/lib/python3.11/site-packages/mkdocs/templates'], static_templates={'404.html', 'sitemap.xml'}, name='material', locale=Locale('en'), language='en', direction=None, features=['navigation.expand', 'navigation.top', 'navigation.indexes', 'navigation.footer', 'content.action.edit', 'search.highlight', 'search.suggest'], font={'text': 'Roboto', 'code': 'Roboto Mono'}, icon=None, favicon='assets/images/favicon.png', palette=[{'scheme': 'default', 'toggle': {'icon': 'material/lightbulb-outline', 'name': 'Switch to dark mode'}}, {'scheme': 'slate', 'toggle': {'icon': 'material/lightbulb', 'name': 'Switch to light mode'}}]) docs_dir str '/docs/source/docs' site_dir str '/docs/source/site' copyright str '\u00a9 majkinetor 2019' google_analytics NoneType None dev_addr _IpAddressValue _IpAddressValue(host='0.0.0.0', port=8000) use_directory_urls bool False repo_url str 'https://github.com/majkinetor/mm-docs-template' repo_name str 'GitHub' edit_uri_template NoneType None edit_uri str 'edit/master/source/docs/' extra_css list ['_extra/css/extra.css', '_extra/css/pdf.css'] extra_javascript list ['_extra/js/mathjax.js', '_extra/js/tablesort.js', 'https://polyfill.io/v3/polyfill.min.js?features=es6', 'https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js', 'https://unpkg.com/tablesort@5.3.0/dist/tablesort.min.js'] extra_templates list [] markdown_extensions list ['toc', 'tables', 'fenced_code', 'abbr', 'admonition', 'attr_list', 'codehilite', 'def_list', 'footnotes', 'md_in_html', 'meta', 'sane_lists', 'pymdownx.arithmatex', 'pymdownx.betterem', 'pymdownx.caret', 'pymdownx.critic', 'pymdownx.details', 'pymdownx.emoji', 'pymdownx.inlinehilite', 'pymdownx.keys', 'pymdownx.magiclink', 'pymdownx.mark', 'pymdownx.superfences', 'pymdownx.smartsymbols', 'pymdownx.tabbed', 'pymdownx.tasklist', 'pymdownx.tilde', 'markdown_include.include', 'plantuml_markdown'] mdx_configs dict toc [dict], pymdownx.arithmatex [dict], pymdownx.betterem [dict], pymdownx.emoji [dict], pymdownx.superfences [dict], pymdownx.tabbed [dict], pymdownx.tasklist [dict], markdown_include.include [dict] strict bool False remote_branch str 'gh-pages' remote_name str 'origin' extra LegacyConfig {'url_prefix': None, 'version': 0.1, 'company': {'name': 'Acme'}, 'social': [{'icon': 'dummy value to show social override'}], 'polyfills': ['https://unpkg.com/iframe-worker/shim']} plugins PluginCollection material/offline [OfflinePlugin], exclude [Exclude], macros [MacrosPlugin], material/search [SearchPlugin], material/tags [TagsPlugin], pdf-export [PdfExportPlugin], print-site [PrintSitePlugin] hooks dict watch list [] validation Validation {'nav': {'omitted_files': 20, 'not_found': 30, 'absolute_links': 20}, 'links': {'not_found': 30, 'absolute_links': 20, 'unrecognized_links': 20}} <p>Frontmatter var - foo: bar</p>          \u270f\ufe0f Last Change: 2023-10-17 22:25               \ud83d\udcd6 Publication Date: 2023-10-17 22:27"},{"location":"about/overview.html","title":"Overview","text":"<p>Lorem ipsum...</p>          \u270f\ufe0f Last Change: 2023-10-17 22:25               \ud83d\udcd6 Publication Date: 2023-10-17 22:27"},{"location":"tags.html","title":"Tags","text":"<p>Following is a list of tags:</p>"},{"location":"tags.html#demo","title":"demo","text":"<ul> <li>Demonstration</li> </ul>"},{"location":"tags.html#mm-docs-system","title":"mm-docs system","text":"<ul> <li>Demonstration</li> </ul>"},{"location":"tags.html#test","title":"test","text":"<ul> <li>Demonstration</li> </ul>"}]}